Package org.eclipse.launchbar.core.target

# Interface ILaunchTargetManager

public interface ILaunchTargetManager
The manager for the launch targets. It is registered as an OSGi service.

Restriction:
  not to be implemented by clients

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`localLaunchTargetId`
`static final String`
`localLaunchTargetTypeId`
The type id for the local launch target type.

## Method Summary

Modifier and Type
Method
Description
`ILaunchTarget`
`addLaunchTarget(String typeId, String id)`
Add a launch target with the given typeId, id, and name.
`void`
`addListener(ILaunchTargetListener listener)`
Add a listener.
`ILaunchTarget`
`getDefaultLaunchTarget(org.eclipse.debug.core.ILaunchConfiguration configuration)`
What is the default target to use for this launch configuration.
`ILaunchTarget`
`getLaunchTarget(String typeId, String id)`
Return the launch target with the given typeId and name
`ILaunchTarget[]`
`getLaunchTargets()`
The list of all launch targets.
`ILaunchTarget[]`
`getLaunchTargetsOfType(String typeId)`
The list of launch targets with a given type id.
`default ILaunchTarget`
`getLocalLaunchTarget()`
`TargetStatus`
`getStatus(ILaunchTarget target)`
Return the status of the launch target.
`void`
`removeLaunchTarget(ILaunchTarget target)`
Removes a launch target.
`void`
`removeListener(ILaunchTargetListener listener)`
Remove a listener.
`void`
`setDefaultLaunchTarget(org.eclipse.debug.core.ILaunchConfiguration configuration, ILaunchTarget target)`
Set the default target for the given launch configuration.
`void`
`targetStatusChanged(ILaunchTarget target)`
The status of the launch target has changed.

## Field Details

### localLaunchTargetTypeId

static final String localLaunchTargetTypeId
The type id for the local launch target type. It is the default launch target type. It represents launching on the underlying machine on which we are running. There is only one launch target of this type which represents that machine.

See Also:
  - Constant Field Values

### localLaunchTargetId

static final String localLaunchTargetId

Since:
  3.0
See Also:
  - Constant Field Values

## Method Details

### getLocalLaunchTarget

default ILaunchTarget getLocalLaunchTarget()

Since:
  3.0

### getLaunchTargets

ILaunchTarget[] getLaunchTargets()
The list of all launch targets.

Returns:
  list of launch targets

### getLaunchTargetsOfType

ILaunchTarget[] getLaunchTargetsOfType(String typeId)
The list of launch targets with a given type id.

Parameters:
  `typeId` - the launch target type id
Returns:
  list of launch targets

### getLaunchTarget

ILaunchTarget getLaunchTarget(String typeId, String id)
Return the launch target with the given typeId and name

Parameters:
  `typeId` - type of the launch target
  `id` - id of the launch target
Returns:
  the launch target

### getStatus

TargetStatus getStatus(ILaunchTarget target)
Return the status of the launch target.

Parameters:
  `target` - the launch target
Returns:
  status

### addLaunchTarget

ILaunchTarget addLaunchTarget(String typeId, String id)
Add a launch target with the given typeId, id, and name.

Parameters:
  `typeId` - type id of the launch target
  `id` - id for the target.
Returns:
  the created launch target

### removeLaunchTarget

void removeLaunchTarget(ILaunchTarget target)
Removes a launch target.

Parameters:
  `target` - the launch target to remove

### targetStatusChanged

void targetStatusChanged(ILaunchTarget target)
The status of the launch target has changed.

Parameters:
  `target` -

### getDefaultLaunchTarget

ILaunchTarget getDefaultLaunchTarget(org.eclipse.debug.core.ILaunchConfiguration configuration)
What is the default target to use for this launch configuration.

Parameters:
  `configuration` - launch configuration or null if not set
Returns:
  default target for this launch configuration

### setDefaultLaunchTarget

void setDefaultLaunchTarget(org.eclipse.debug.core.ILaunchConfiguration configuration, ILaunchTarget target)
Set the default target for the given launch configuration.

Parameters:
  `configuration` - launch configuration
  `target` - default target for this launch configuration

### addListener

void addListener(ILaunchTargetListener listener)
Add a listener.

Parameters:
  `listener` -

### removeListener

void removeListener(ILaunchTargetListener listener)
Remove a listener.

Parameters:
  `listener` -